Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.html.dom
Class HTMLFrameElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ChildAndParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.html.dom.HTMLElementImpl
                                    |
                                    +--weblogic.apache.html.dom.HTMLFrameElementImpl

public final class HTMLFrameElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLFrameElement

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.2 $ $Date: 2000/02/10 04:00:10 $
Author:
  Assaf Arkin
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `HTMLFrameElement`, `ElementImpl`, Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Constructor Summary
`HTMLFrameElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getFrameBorder()`
`java.lang.String` | `getLongDesc()`
`java.lang.String` | `getMarginHeight()`
`java.lang.String` | `getMarginWidth()`
`java.lang.String` | `getName()`
`boolean` | `getNoResize()`
`java.lang.String` | `getScrolling()`
`java.lang.String` | `getSrc()`
`void` | `setFrameBorder(java.lang.String frameBorder)`
`void` | `setLongDesc(java.lang.String longDesc)`
`void` | `setMarginHeight(java.lang.String marginHeight)`
`void` | `setMarginWidth(java.lang.String marginWidth)`
`void` | `setName(java.lang.String name)`
`void` | `setNoResize(boolean noResize)`
`void` | `setScrolling(java.lang.String scrolling)`
`void` | `setSrc(java.lang.String src)`

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, removeEventListener, setNodeValue, setPrefix, setUserData, supports, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLFrameElementImpl

    public HTMLFrameElementImpl(HTMLDocumentImpl owner,
                                java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getFrameBorder

    public java.lang.String getFrameBorder()

  Specified by:
    getFrameBorder in interface org.w3c.dom.html.HTMLFrameElement

### setFrameBorder

    public void setFrameBorder(java.lang.String frameBorder)

  Specified by:
    setFrameBorder in interface org.w3c.dom.html.HTMLFrameElement

### getLongDesc

    public java.lang.String getLongDesc()

  Specified by:
    getLongDesc in interface org.w3c.dom.html.HTMLFrameElement

### setLongDesc

    public void setLongDesc(java.lang.String longDesc)

  Specified by:
    setLongDesc in interface org.w3c.dom.html.HTMLFrameElement

### getMarginHeight

    public java.lang.String getMarginHeight()

  Specified by:
    getMarginHeight in interface org.w3c.dom.html.HTMLFrameElement

### setMarginHeight

    public void setMarginHeight(java.lang.String marginHeight)

  Specified by:
    setMarginHeight in interface org.w3c.dom.html.HTMLFrameElement

### getMarginWidth

    public java.lang.String getMarginWidth()

  Specified by:
    getMarginWidth in interface org.w3c.dom.html.HTMLFrameElement

### setMarginWidth

    public void setMarginWidth(java.lang.String marginWidth)

  Specified by:
    setMarginWidth in interface org.w3c.dom.html.HTMLFrameElement

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface org.w3c.dom.html.HTMLFrameElement

### setName

    public void setName(java.lang.String name)

  Specified by:
    setName in interface org.w3c.dom.html.HTMLFrameElement

### getNoResize

    public boolean getNoResize()

  Specified by:
    getNoResize in interface org.w3c.dom.html.HTMLFrameElement

### setNoResize

    public void setNoResize(boolean noResize)

  Specified by:
    setNoResize in interface org.w3c.dom.html.HTMLFrameElement

### getScrolling

    public java.lang.String getScrolling()

  Specified by:
    getScrolling in interface org.w3c.dom.html.HTMLFrameElement

### setScrolling

    public void setScrolling(java.lang.String scrolling)

  Specified by:
    setScrolling in interface org.w3c.dom.html.HTMLFrameElement

### getSrc

    public java.lang.String getSrc()

  Specified by:
    getSrc in interface org.w3c.dom.html.HTMLFrameElement

### setSrc

    public void setSrc(java.lang.String src)

  Specified by:
    setSrc in interface org.w3c.dom.html.HTMLFrameElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD